Subject: Re: [bug#70203] [PATCH] gnu: tests: Add system tests for sddm

From: Christopher Baines <[email-masked]>
Date: Mon, 15 Apr 2024 10:34:23 +0100

Richard Sent <[email-masked]> writes:

> * gnu/tests/sddm.scm: Create a basic suite of tests to verify the display
> manager starts.
>
> Change-Id: Ia84926e9aab42c6781430c22aae0f892387d1a29
> ---
> Hi Guix!
>
> Given https://issues.guix.gnu.org/70194 I figured it was prudent to
> create a test suite for SDDM similar to GDM and LightDM.
>
> I verified this on c9cd16c630, since SDDM seems to be broken since at
> least 188d18fc47 (probably earlier). I imagine this should go in after
> 70194 is closed. Or perhaps there's something horribly wrong with my
> machine and this does work on master.
>
> Either way, the more tests the merrier, right?
>
>  gnu/tests/sddm.scm | 112 +++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 112 insertions(+)
>  create mode 100644 gnu/tests/sddm.scm

Looks good to me, I've pushed this to master as
027419626f171cdccf9c4a77686840141ea502eb.

Chris